#ifndef SHARED_POTATO_UTIL_H
#define SHARED_POTATO_UTIL_H

#include <sys/types.h>   /* FreeBSD wants to see this */

void kill_hotpotato_directory(const char *username, CONFIG_STRUCT *conf);
void calculate_elapsed_time(time_t elapsed_time, int *hours, int *minutes, int *seconds);

int process_cgi_enabled_potato(char *buffer, off_t filesize,
                       const char *course, const char *key, const char *sender, 
                       const char *info_fname, const char *original_fname,
                       const char *system_fname, const char *action_dir, FILE *fp);


#endif
